UPGRADEPKG(8)

NAAM
upgradepkg - Upgrade Slackware pakketten.

SYNOPSIS
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] nieuwepakketnaam [nieuwepakketnaam2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] oudepakketnaam%nieuwepakketnaam [oud2%nieuw2]

BESCHRIJVING
upgradepkg waardeert een Slackwarepakket op van een oude naar een nieuwe versie. Het doet dit door het nieuwe pakket op het systeem te INSTALLEREN en daarna alle bestanden van het oude pakket die niet in het nieuwe voorkomen te VERWIJDEREN. Als het oude en het nieuwe pakket dezelfde naam hebben voldoet een enkel argument. Als de pakketten een verschillende naam hebben geef dan de naam van het oude pakket gevolgd door het % symbool, daarna de naam van het nieuwe pakket. Laat geen spaties tussen de oude en nieuwe pakketnaam. Als upgradepkg meerdere geïnstalleerde pakketten vindt met dezelfde oude pakketnaam zal het deze allemaal verwijderen.

Om op te waarderen in een andere directory dan / (zoals /mnt):

ROOT=/mnt upgradepkg pakket.tgz (of .tbz, .tlz, .txz)

OPTIES

--dry-run
    Produceer een rapport over welke pakketten zouden worden geïnstalleerd of opgewaardeerd, maar doe dit niet daadwerkelijk.

--install-new
    Normaal waardeert upgradepkg alleen pakketten op die reeds op het systeem zijn geïnstalleerd en slaat alle pakketten over waar geen versie van is geïnstalleerd. Als --install-new is gespecificeerd worden in aanvulling op het opwaarderen van bestaande pakketten ook nieuwe pakketten geïnstalleerd.

--reinstall
    Upgradepkg slaat normaal pakketten over als het exact gelijke pakket (dezelfde naam, versie, arch, en build-nummer) al op het systeem is geïnstalleerd. Gebruik de --reinstall optie als je alle pakketten wilt opwaarderen zelfs als dezelfde versie reeds is geïnstalleerd.

--verbose
    Laat alle smerige details zien van de opwaardering.

FOUTEN
Sla voor het opwaarderen van een pakket alle configuratiebestanden (zoals in /etc) op die je wilt bewaren. Soms worden deze onveranderd gelaten, maar dat hangt af van de pakketstructuur. Als je wilt forceren dat nieuwe versies van deze bestanden worden geïnstalleerd, verwijder de oude dan handmatig voor het uitvoeren van upgradepkg.

AUTEUR
Patrick J. Volkerding <volkerdi@slackware.com>

ZIE OOK
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)